Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#7551 closed defect (duplicate)

Remove all Fortran binary compilers except OS X.

Reported by: drkirkby Owned by: was
Priority: major Milestone: sage-duplicate/invalid/wontfix
Component: build Keywords:
Cc: was Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

The package fortran-20071120.p9 has Fortran compilers for various systems. William Stein said:

http://groups.google.com/group/sage-devel/msg/b4cf0f10ed040d5d?hl=en

"I think in sage-4.3 on, we should *only* include fortran compilers for OS X, and *nothing* else."

I've looked at the fortran package, with a view to removing these, but it looks an quite a complex spkg-install, and since William is listed as the maintainer, I've assigned this to him. Feel free to unassign yourself William, but I think you are probably the best person for this.

Dave

Change History (4)

comment:1 Changed 11 years ago by GeorgSWeber

This ticket looks like a doublette to

#7485: make fortran a prerequisite on all platforms except OS X. Remove g95 binaries from Sage

comment:2 Changed 11 years ago by drkirkby

  • Cc was added
  • Resolution set to duplicate
  • Status changed from new to closed

Hi George,

you are correct, this ticket is identical to William's "make fortran a prerequisite on all platforms except OS X. Remove g95 binaries from Sage" #7485 which he has in fact marked as "critical". It's best if William resolves this, as he has a better understanding of this Fortran issue. I've cc'ed William, and closed this as a duplicate of #7485.

comment:3 Changed 11 years ago by was

It's best if William resolves this, as he has a better understanding of this Fortran issue.

It's best if anybody does this. Don't assign it to me, since I might never find time to actually do it. In fact, it's best if somebody else does this, since then the number of people that have an understanding of the Fortran issue increases. :-)

William

comment:4 Changed 11 years ago by mvngu

  • Milestone changed from sage-4.3 to sage-duplicate/invalid/wontfix
Note: See TracTickets for help on using tickets.